function onBegin()
  disableMovement()
  wait(0.5)
  walk(100)
  wait(0.5)
  say("UltrabarkzEsoterica_FakeOut1")
  wait(0.5)
  walk(-10)
  wait(1.0)
  walk(10)
  say("UltrabarkzEsoterica_FakeOut2")
  wait(0.5)
  setFlag("FadeAway2", true)
  wait(1.0)
  playMusic("event:/music/menu/complete_area")
  wait(1.9)
end

function onEnd()
  enableMovement()
  setFlag("FakeoutTeleFlag", true)
end